=== debian/control ===
Source: ros-noetic-mir-driver
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), python3-websocket, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-mir-actions, ros-noetic-mir-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-rosgraph-msgs, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-rospy-message-converter, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-noetic-mir-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-websocket, ros-noetic-actionlib-msgs, ros-noetic-diagnostic-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-mir-actions, ros-noetic-mir-description, ros-noetic-mir-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-robot-state-publisher, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-rospy-message-converter, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Description: A reverse ROS bridge for the MiR robot
